From dee07eb444f3291ee963704af6e95f473c1d4119 Mon Sep 17 00:00:00 2001
From: Daniel Kriesten <krid@tu-chemnitz.eu>
Date: Tue, 17 Apr 2012 14:15:43 +0200
Subject: [PATCH] Replace seq by the appropriate sequence

The seq command is not availabale on all systems. By replacing the (at
least two) occurences of seq with the corresponding sequence the
dependecy on seq is resolved.

Signed-off-by: Daniel Kriesten <krid@tu-chemnitz.eu>
---
 scripts/genhdimg |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/scripts/genhdimg b/scripts/genhdimg
index d3143ac..4c4bc2e 100755
--- a/scripts/genhdimg
+++ b/scripts/genhdimg
@@ -79,7 +79,7 @@ echo "------------------------------------"
 echo "Creating hard disk's partition table"
 echo "------------------------------------"
 
-for i in $(seq 4); do
+for i in 1 2 3 4; do
 	part_opts "$i"
 
 	if [ $i -gt $partcount ]; then
@@ -100,7 +100,7 @@ for i in $(seq 4); do
 	extraarg=""
 done
 
-for i in $(seq 4); do
+for i in 1 2 3 4; do
 	part_opts "$i"
 
 	if [ -z "${pimage}" ]; then
-- 
1.7.10

